<mat-toolbar color="primary" class="toolbar">
    <button mat-icon-button>
      <mat-icon aria-hidden="false" (click)="sidenav.toggle()">menu</mat-icon>
    </button>
    <span>My App</span>
    <span class="example-spacer"></span>
    <button mat-icon-button [routerLink]="'/'">
      <mat-icon>home</mat-icon>
    </button>
</mat-toolbar>

<mat-sidenav-container class="container">
  <mat-sidenav #sidenav mode="side" opened>
    <mat-nav-list>
      <a mat-list-item [routerLink]="'/form1'"> Form1 </a>
      <a mat-list-item [routerLink]="'/form2'"> Form2 </a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content class="content" >
      <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>